<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<div class="grid-block -visible-overflow">

  <div class="grid-content medium-6">
    <% if @group.users.any? %>
      <div class="generic-table--container">
        <div id="group_users_table" class="generic-table--results-container">
          <%= render partial: 'groups/users_table' %>
        </div>
      </div>
    <% else %>
      <%= no_results_box %>
    <% end %>
  </div>

  <div class="grid-content medium-6 -visible-overflow">
    <% if User.user
              .not_in_group(@group)
              .where(status: [User.statuses[:active], User.statuses[:invited]])
              .exists? %>
      <%= styled_form_tag(members_of_group_path(@group), method: :post) do %>

        <fieldset class="form--fieldset">
          <legend class="form--fieldset-legend"><%=t(:label_user_new)%></legend>
          <div class="form--field -vertical">
            <%=
              angular_component_tag 'opce-user-autocompleter',
                                  inputs: {
                                    inputName: 'user_ids',
                                    filters: autocompleter_filters(@group),
                                  },
                                  class: "new-group-members--autocomplete"
            %>
          </div>
          <div>
            <%= styled_button_tag t(:button_add),
                                  class: '-primary -with-icon icon-checkmark' %>
          </div>
        </fieldset>
      <% end %>
    <% end %>
  </div>
</div>
